using Arpack
using SparseArrays

function eigen_solver_timings()
    A = sprand(5000, 5000, 0.01)
    k = 10
    # See interface at https://julialinearalgebra.github.io/Arpack.jl/latest/
    t_LM = @elapsed eigs(A, nev=k, maxiter=2000, tol=1e-5, which=:LM)
    t_SM = @elapsed eigs(A, nev=k, maxiter=2000, tol=1e-5, which=:SM)
    return (t_LM, t_SM)
end

